Package com.enonic.xp.mail

## Class SendMailParams.Builder

- java.lang.Object
- - com.enonic.xp.mail.SendMailParams.Builder

- Enclosing class:
    SendMailParams

      public static class SendMailParams.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SendMailParams.Builder` | `addAttachment​(MailAttachment attachment)` |
    `SendMailParams.Builder` | `addAttachments​(Collection<MailAttachment> attachments)` |
    `SendMailParams.Builder` | `addHeader​(String key, String value)` |
    `void` | `addHeaders​(Map<String,​String> headers)` |
    `SendMailParams.Builder` | `bcc​(String... bcc)` |
    `SendMailParams.Builder` | `bcc​(Collection<String> bcc)` |
    `SendMailParams.Builder` | `body​(String body)` |
    `SendMailParams` | `build()` |
    `SendMailParams.Builder` | `cc​(String... cc)` |
    `SendMailParams.Builder` | `cc​(Collection<String> cc)` |
    `SendMailParams.Builder` | `contentType​(String contentType)` |
    `SendMailParams.Builder` | `from​(String... from)` |
    `SendMailParams.Builder` | `from​(Collection<String> from)` |
    `SendMailParams.Builder` | `replyTo​(String... replyTo)` |
    `SendMailParams.Builder` | `replyTo​(Collection<String> replyTo)` |
    `SendMailParams.Builder` | `subject​(String subject)` |
    `SendMailParams.Builder` | `to​(String... to)` |
    `SendMailParams.Builder` | `to​(Collection<String> to)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### to

          public SendMailParams.Builder to​(String... to)

    - #### to

          public SendMailParams.Builder to​(Collection<String> to)

    - #### from

          public SendMailParams.Builder from​(String... from)

    - #### from

          public SendMailParams.Builder from​(Collection<String> from)

    - #### cc

          public SendMailParams.Builder cc​(String... cc)

    - #### cc

          public SendMailParams.Builder cc​(Collection<String> cc)

    - #### bcc

          public SendMailParams.Builder bcc​(String... bcc)

    - #### bcc

          public SendMailParams.Builder bcc​(Collection<String> bcc)

    - #### replyTo

          public SendMailParams.Builder replyTo​(String... replyTo)

    - #### replyTo

          public SendMailParams.Builder replyTo​(Collection<String> replyTo)

    - #### subject

          public SendMailParams.Builder subject​(String subject)

    - #### contentType

          public SendMailParams.Builder contentType​(String contentType)

    - #### body

          public SendMailParams.Builder body​(String body)

    - #### addHeader

          public SendMailParams.Builder addHeader​(String key,
                                                  String value)

    - #### addHeaders

          public void addHeaders​(Map<String,​String> headers)

    - #### addAttachment

          public SendMailParams.Builder addAttachment​(MailAttachment attachment)

    - #### addAttachments

          public SendMailParams.Builder addAttachments​(Collection<MailAttachment> attachments)

    - #### build

          public SendMailParams build()